package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TLbnhjstjMapper;
import com.ruoyi.project.production.domain.TLbnhjstj;
import com.ruoyi.project.production.service.ITLbnhjstjService;

import javax.annotation.Resource;

/**
 * 能耗管理统计Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-14
 */
@Service
public class TLbnhjstjServiceImpl implements ITLbnhjstjService
{
    @Resource
    private TLbnhjstjMapper tLbnhjstjMapper;

    /**
     * 查询能耗管理统计
     *
     * @param id 能耗管理统计ID
     * @return 能耗管理统计
     */
    @Override
    public TLbnhjstj selectTLbnhjstjById(Long id)
    {
        return tLbnhjstjMapper.selectTLbnhjstjById(id);
    }

    /**
     * 查询能耗管理统计列表
     *
     * @param tLbnhjstj 能耗管理统计
     * @return 能耗管理统计
     */
    @Override
    public List<TLbnhjstj> selectTLbnhjstjList(TLbnhjstj tLbnhjstj)
    {
        return tLbnhjstjMapper.selectTLbnhjstjList(tLbnhjstj);
    }

    /**
     * 新增能耗管理统计
     *
     * @param tLbnhjstj 能耗管理统计
     * @return 结果
     */
    @Override
    public int insertTLbnhjstj(TLbnhjstj tLbnhjstj)
    {
        return tLbnhjstjMapper.insertTLbnhjstj(tLbnhjstj);
    }

    /**
     * 修改能耗管理统计
     *
     * @param tLbnhjstj 能耗管理统计
     * @return 结果
     */
    @Override
    public int updateTLbnhjstj(TLbnhjstj tLbnhjstj)
    {
        return tLbnhjstjMapper.updateTLbnhjstj(tLbnhjstj);
    }

    /**
     * 批量删除能耗管理统计
     *
     * @param ids 需要删除的能耗管理统计ID
     * @return 结果
     */
    @Override
    public int deleteTLbnhjstjByIds(Long[] ids)
    {
        return tLbnhjstjMapper.deleteTLbnhjstjByIds(ids);
    }

    /**
     * 删除能耗管理统计信息
     *
     * @param id 能耗管理统计ID
     * @return 结果
     */
    @Override
    public int deleteTLbnhjstjById(Long id)
    {
        return tLbnhjstjMapper.deleteTLbnhjstjById(id);
    }
}